From bc6be2bb4bcb94a7331db61fe7c174648aa44dbf Mon Sep 17 00:00:00 2001
From: William Hu <purplearmadillo77@proton.me>
Date: Sun, 2 Oct 2022 16:20:35 -0400
Subject: [PATCH] Fix find errors for nonexistent ${mldir}

---
 lib/pkg_info.cygpart | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/lib/pkg_info.cygpart b/lib/pkg_info.cygpart
index 4c51483..c399cc5 100644
--- a/lib/pkg_info.cygpart
+++ b/lib/pkg_info.cygpart
@@ -364,13 +364,18 @@ __list_deps() {
 	if check_prog ocamlc.opt
 	then
 		mldir=$(ocamlc.opt -where)
+		sys_mldir=$mldir
+		if [ ! -d ${sys_mldir} ]
+		then
+			sys_mldir=""
+		fi
 		if [ -d ${D}${mldir} ]
 		then
-			for cma in $(find ${D}${mldir} ${mldir} -name '*.cma')
+			for cma in $(find ${D}${mldir} ${sys_mldir} -name '*.cma')
 			do
 				ocamlobjinfo $cma | sed -nr "s#(Unit|Module) name: #$cma:#p"
 			done > ${T}/.cmaobjinfo.out
-			for cmxa in $(find ${D}${mldir} ${mldir} -name '*.cmxa')
+			for cmxa in $(find ${D}${mldir} ${sys_mldir} -name '*.cmxa')
 			do
 				ocamlobjinfo $cmxa | sed -nr "s#(Unit|Module) name: #$cmxa:#p"
 			done > ${T}/.cmxaobjinfo.out
-- 
2.37.3

